%convert a vector [a1 a2 a3 a4 b1 b2] to 
% A = [a1 a2;a3 a4] b=[b1;b2]

function [A b] = mat(in)

A = [];
b = [];
if (isempty(in))
    return
end;
    
dim = max(roots([1,1,-length(in)]));%find dimensions of the system n^2+n

for (m=1:dim)
    for (n=1:dim)
        A(m,n) = in(dim*(m-1)+n);
    end;
end;
for (i=dim:-1:1)
    b(i,1) = in(length(in)-dim+i);
end;