%find the parameters so the transition X1->X2 does not happen

function result = param_range_rev(X1,X2)

Vx1 = extreme(X1);
Hx2 = get(X2,'H');
Kx2 = get(X2,'K');
result = [];


for (j=1:size(Hx2,1));
    H = [];
    K = [];
    for (i=1:size(Vx1,1))
        new = [];
        for (m=1:size(Hx2,2))
            for (n=1:size(Vx1,2))
                new = [new Hx2(j,m)*Vx1(i,n)];
            end;
        end;
        H = [H; -[new Hx2(j,:)]];
        K = [K;-Kx2(j)];
    end;
    
result = [result polytope(H,K)];
end; 
