function result = expand(A,b,percent)

Amin = A - (percent/100)*A;
Amax = A + (percent/100)*A;
bmin = b - (percent/100)*b;
bmax = b + (percent/100)*b;


for(i=1:size(A,1))
    for(j=1:size(A,2))
        if (A(i,j)==0)
            Amin(i,j) = -0.01;
            Amax(i,j) = 0.01;
        end;
    end;
end;

for(i=1:length(b))
    if (b(i)==0)
        bmin(i) = -0.01;
        bmax(i) = 0.01;
    end;
end;

result = hull(powerset([Amin(1,1),Amax(1,1)],[Amin(1,2),Amax(1,2)],[Amin(2,1),Amax(2,1)],[Amin(2,2),Amax(2,2)],[bmin(1),bmax(1,1)],[bmin(2),bmax(2)]));