function result = find_transitions(sys)

tic;
printf('Finding transitions in the system........');
result = sys;
result.trans = zeros(length(sys.space)); %reset all transitions

for (i=1:length(sys.space))
   if (~isempty(sys.parameter{get(sys.space(i),'param')})) %if there are any parameters
       for (j=1:length(sys.space)) %check for transitions
        if (dointersect(Post(sys,i),sys.space(j)))
            result.trans(i,j) = 1;
        end;
    end;
   end;
end;
printf('done! ');
toc;