%a function that makes blocking states unreachable and recursively check to
%make sure no new blocking states were created.

function result = fix_block(sys,states)

result = sys;

for  (i=1:length(states))
    if(sum(sys.trans(states(i),:))==0) %it is blocking
        t = find(sys.trans(:,states(i))); %find all states that have a transition to state 'states(i)'
        for (j=1:length(t))
            result = remove_trans(result,t(j),states(i),{}); %make the blocking state unreachable
            if (isempty(result))
                return;
            end;
        end;
    end;
end;
