function res = grp(range)

res = [];
if (length(range)==0)
    return
end;

range = range(ceil(length(range).*rand(1,1))); %pick one of the polytopes
vert = extreme(range);

ind = randperm(size(vert,1)); %random permutation of the vertices
l = zeros(1,size(vert,1));
res = zeros(1,size(vert,2));
for (i = 1:size(vert,1)-1)
    l(i) = (1-sum(l(1:i))).*rand(1,1);
    res  = res + l(i).*vert(ind(i),:);
end;
l(size(vert,1)) = 1 - sum(l);
res  = res + l(size(vert,1)).*vert(ind(size(vert,1)),:);