%return a vector of all the states that can be reached from the initial
%call as reachable(sys, initial_state, zeros(1,number_of_states))
% or reachable(sys,initial_state)
% or reachable(sys) - initial state is taken from the system
function seen = reachable(sys,init,seen)

if (nargin==1)
    init = sys.init;
    seen = zeros(1,length(sys.space));
elseif (nargin==2)
    seen = zeros(1,length(sys.space));
end;
    
seen(init) = 1;
for (i=1:length(sys.space))
    if (sys.trans(init,i)==1 & seen(i)==0)
        seen = reachable(sys,i,seen);
    end;
end;
        