clear;
clc;
addpath(genpath('../../MPT')); 
addpath(genpath('../../stdlib')); 
mpt_init;


points = 200;

sys = init_sys('F G p3',0);
sys.init = 1;
[traj ch]= simulate(sys,points);

plot(1:points,traj(:,1),'.')
hold on;
plot(1:points,traj(:,2),'.r')

for (i=1:length(ch))
    line([ch(i),ch(i)],[0,100]);
end;
draw_traj(sys,traj);